Martes, Junio 22, 2021

FragAttacks, una serie de vulnerabilidades en el estandar Wi-Fi que afecta a millones de dispositivos

vulnerabilidad

Hace poco se reveló información sobre 12 vulnerabilidades las cuales son identificadas bajo el código «FragAttacks» que afectan a diversos dispositivos inalámbricos y cubren prácticamente todas las tarjetas inalámbricas y puntos de acceso en uso, de los 75 dispositivos probados, cada uno afectado por al menos uno de los métodos de ataque propuestos.

Los problemas se dividen en dos categorías: 3 vulnerabilidades se identificaron directamente en los estándares Wi-Fi y cubren todos los dispositivos que admiten los estándares IEEE 802.11 actuales (los problemas se han rastreado desde 1997).

9 las vulnerabilidades se refieren a errores y fallas en implementaciones específicas de pilas inalámbricas. El peligro principal es la segunda categoría, ya que la organización de ataques a fallas en los estándares requiere escenarios específicos o la ejecución de ciertas acciones por parte de la víctima.

Todas las vulnerabilidades aparecen independientemente del uso de protocolos para garantizar la seguridad de Wi-Fi, incluso cuando se usa WPA3, dado que la mayoría de los métodos de ataque identificados permiten a un atacante realizar la sustitución de tramas L2 en una red protegida, lo que hace posible bloquear el tráfico de la víctima.

La suplantación de respuestas de DNS para dirigir al usuario al host del atacante se menciona como el escenario de ataque más realista. También proporciona un ejemplo del uso de vulnerabilidades para omitir el traductor de direcciones en un enrutador inalámbrico y proporcionar acceso directo a un dispositivo en una red local o ignorar las restricciones del firewall.

La segunda parte de las vulnerabilidades, que está relacionada con el procesamiento de tramas fragmentadas, permite extraer datos sobre el tráfico en la red inalámbrica e interceptar los datos del usuario transmitidos sin utilizar cifrado.

Un investigador ha preparado una demostración que muestra cómo se pueden utilizar las vulnerabilidades para interceptar una contraseña transmitida al acceder a un sitio web a través de HTTP sin cifrado, también se muestra cómo atacar un enchufe inteligente, controlado a través de Wi-Fi, y utilizarlo para continuar el ataque a dispositivos no actualizados en la red local que tienen vulnerabilidades sin parchear (por ejemplo, era posible atacar una computadora con Windows 7 sin actualizar en la red interna a través de NAT transversal).

++++++++++++++++++++++++

Para aprovechar las vulnerabilidades, un atacante debe estar dentro del alcance del dispositivo inalámbrico objetivo para enviar un conjunto de marcos especialmente diseñados a la víctima.

Los problemas afectan tanto a los dispositivos cliente como a las tarjetas inalámbricas, así como a los puntos de acceso y enrutadores Wi-Fi. En general, HTTPS en combinación con el cifrado del tráfico DNS utilizando DNS sobre TLS o DNS sobre HTTPS es suficiente como solución alternativa para la protección. VPN también es adecuada para protección.

Las más peligrosas son cuatro vulnerabilidades en las implementaciones de dispositivos inalámbricos que permiten métodos triviales para lograr la sustitución de sus tramas no cifradas:

  • Las vulnerabilidades CVE-2020-26140 y CVE-2020-26143 permiten el encuadre en algunos puntos de acceso y tarjetas inalámbricas en Linux, Windows y FreeBSD.
  • La vulnerabilidad CVE-2020-26145 permite que los fragmentos de transmisión no cifrados se traten como cuadros completos en macOS, iOS y FreeBSD y NetBSD.
  • La vulnerabilidad CVE-2020-26144 permite el procesamiento de tramas A-MSDU reensambladas sin cifrar con EtherType EAPOL en Huawei Y6, Nexus 5X, FreeBSD y LANCOM AP.

Otras vulnerabilidades de implementación están relacionadas principalmente con problemas en el manejo de marcos fragmentados:

  • CVE-2020-26139: permite el reenvío de tramas marcadas por EAPOL enviadas por un remitente no autenticado (afecta a 2/4 puntos de acceso verificados, soluciones NetBSD y FreeBSD).
  • CVE-2020-26146: permite reensamblar fragmentos cifrados sin verificar el orden de los números de secuencia.
  • CVE-2020-26147: permite el reensamblaje de fragmentos mixtos cifrados y no cifrados.
  • CVE-2020-26142: permite que los fotogramas fragmentados se traten como fotogramas completos (afecta al módulo inalámbrico OpenBSD y ESP12-F).
  • CVE-2020-26141: Falta la verificación TKIP MIC para tramas fragmentadas.

De los otros problemas identificados:

  • CVE-2020-24588: ataque a tramas agregadas que permite poder redirigir a un usuario a un servidor DNS malintencionado o NAT transversal se menciona como un ejemplo del ataque.
  • CVE-2020-245870: ataque de mezcla de claves (se permite el reensamblaje de fragmentos cifrados con diferentes claves en WPA, WPA2, WPA3 y WEP). El ataque le permite determinar los datos enviados por el cliente, por ejemplo, determinar el contenido de la cookie cuando se accede a través de HTTP.
  • CVE-2020-24586 – Fragment Cache Attack (los estándares que cubren WPA, WPA2, WPA3 y WEP no requieren la eliminación de fragmentos que ya se han asentado en la caché después de una nueva conexión a la red). Permite identificar los datos enviados por el cliente y realizar la sustitución de sus datos.

Si quieres conocer más al respecto, puedes consultar el siguiente enlace.

 

Fuente: desdelinux

¿Quién está en línea?

Hay 130 invitados y ningún miembro en línea

Contador de Visitas

11860442
Hoy Hoy 2381
Ayer Ayer 4030
Esta semana Esta semana 6411
Este mes Este mes 88421
Total de Visitas Total de Visitas 11860442

Día con más
visitantes

06-02-2021 : 4783

Gracias por su visita